Bug 244595 - MOUNTD_NFS_V1 no longer applicable
MOUNTD_NFS_V1 no longer applicable
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-17 17:57 EDT by Wolfgang Rupprecht
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:11:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Rupprecht 2007-06-17 17:57:35 EDT
Description of problem:

This mostly a documentation problem.  Anyone trying to run a purely nfsv4 system
will try to turn off all the older versions of nfs (nfs v1, v2, v3).  The 
startup script /etc/init.d/nfs leads one to believe that one needs to add the 
following to /etc/sysconfig/nfs: 
MOUNTD_NFS_V1=NO
MOUNTD_NFS_V2=NO
MOUNTD_NFS_V3=NO

The problem is if one adds  MOUNTD_NFS_V1=NO to /etc/sysconfig/nfs then
rpc.mountd fails to start up.  This option is no longer valid.

Version-Release number of selected component (if applicable):
Fedora 7 (also FC6)

How reproducible:
100% reproducable

Steps to Reproduce:
1. add MOUNTD_NFS_V1=NO to /etc/sysconfig/nfs
2. reboot 
3. watch rpc.mountd fail to start
  
Actual results:

rpc.mountd fails to start with a  a usage error printed to the screen.

Expected results:

rpc.mountd should start without any nfs v1 services.

Additional info:

This option is no longer needed as rpc.mountd no longer serves nfs-v1 anyway. 
The following section in /etc/init.d/nfs should be removed and the example
/etc/sysconfig/nfs file should have this option removed.  (I beleve fc6 had a
template file at /etc/sysconfig/nfs, I can't find it under F7, but that may be a
local problem.)

<	case $MOUNTD_NFS_V1 in
<	no|NO)
<	    RPCMOUNTDOPTS="$RPCMOUNTDOPTS --no-nfs-version 1" ;;
<	esac
Comment 1 Steve Dickson 2007-09-15 07:06:52 EDT
I think there is some confusion here. The MOUNTD_NFS_Vx variables
control the RPC version mountd will use, not nfsd (i.e the NFS server).

Granted these option are a bit  obsolete, but they do seem to
work. 
Comment 2 Brian Powell 2008-04-25 00:11:06 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.